Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCInsertMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.InsertMessage
                  rice.p2p.past.gc.messaging.GCInsertMessage

All Implemented Interfaces:
  java.io.Serializable, Continuation, Message, RawMessage

    public class GCInsertMessage

extends InsertMessage

Version:
  $Id: GCInsertMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ExternalContinuationRunnable, Continuation.ExternalRunnable, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected long` | `expiration`
`static short` | `TYPE`

Fields inherited from class rice.p2p.past.messaging.InsertMessage
`content`

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response, S_EMPTY, S_JAVA_EXCEPTION, S_JAVA_RESPONSE, S_SUB, serType`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCInsertMessage(int uid, PastContent content, long expiration, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the data to be stored

Method Summary
`static GCInsertMessage` | `buildGC(InputBuffer buf, Endpoint endpoint, PastContentDeserializer pcd)`
`long` | `getExpiration()` Method which returns the expiration time
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)` Deprecated to cause warnings.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.InsertMessage
`build, getContent, receiveException, receiveResult, serializeHelper`

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`deserialize, getResponse, returnResponse, serialize`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### expiration

    protected long expiration

Constructor Detail

### GCInsertMessage

    public GCInsertMessage(int uid,
                           PastContent content,
                           long expiration,
                           NodeHandle source,
                           Id dest)

  Constructor which takes a unique integer Id, as well as the data to be stored

  Parameters:
    `uid` - The unique id
    `content` - The content to be inserted
    `expiration` - The expiration time
    `source` - The source address
    `dest` - The destination address

Method Detail

### getExpiration

    public long getExpiration()

  Method which returns the expiration time

  Returns:
    The contained expiration time

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `InsertMessage`
  Returns:
    A string representing this message

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`
  Overrides:
    `getType` in class `InsertMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Description copied from class: `ContinuationMessage`
  Deprecated to cause warnings. use serialize(OutputBuffer buf, boolean javaSerialize)

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `InsertMessage`
  Throws:
    `java.io.IOException`

### buildGC

    public static GCInsertMessage buildGC(InputBuffer buf,
                                          Endpoint endpoint,
                                          PastContentDeserializer pcd)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.